import 'package:rec_api_dart/src/entities/account.ent.dart';
import 'package:rec_api_dart/src/entities/badge.ent.dart';
import 'package:rec_api_dart/src/entities/entity.base.dart';

class Qualification extends Entity {
  static const STATUS_PENDING = 'pending';
  static const STATUS_REVIEWED = 'reviewed';
  static const STATUS_IGNORED = 'ignored';

  final String? status;
  final bool? value;
  final Badge badge;
  final Account reviewer;
  final Account account;

  Qualification({
    String? id,
    String? createdAt,
    String? updatedAt,
    required this.value,
    required this.badge,
    required this.reviewer,
    required this.account,
    this.status = Qualification.STATUS_PENDING,
  }) : super(id, createdAt, updatedAt);

  factory Qualification.fromJson(Map<String, dynamic> data) {
    final badge = Badge.fromJson(data['badge']);
    final reviewer = Account.fromJson(data['reviewer']);
    final account = Account.fromJson(data['account']);

    return Qualification(
      id: '${data['id']}',
      createdAt: data['created'],
      updatedAt: data['updated'],
      status: data['status'],
      value: data['value'],
      badge: badge,
      reviewer: reviewer,
      account: account,
    );
  }
}
