import 'package:http/http.dart';
import 'package:rec_api_dart/src/api_paths.dart';
import 'package:rec_api_dart/src/entities/dto/register_data.dart';
import 'package:rec_api_dart/src/env.base.dart';
import 'package:rec_api_dart/src/interceptors/app_token_interceptor.dart';
import 'package:rec_api_dart/src/services/base_service.dart';

class RegisterService extends ServiceBase {
  RegisterService({required EnvBase env, Client? client})
      : super(
          env: env,
          client: client,
          interceptors: [AppTokenInterceptor(env: env)],
        );

  Future register(RegisterData data) async {
    var body = data.toJson();

    return this.post(ApiPaths.register.asUri(env.API_URL), body);
  }

  Future registerRezeroB2B(RegisterData data) async {
    var body = data.toJson();

    return this.post(ApiPaths.registerRezeroB2B.asUri(env.API_URL), body);
  }
}
