import 'package:flutter_secure_storage/flutter_secure_storage.dart';

mixin IStorage {
  Future<String?> read({required String key});
  Future<void> write({required String key, String? value});
  Future<void> delete({required String key});
  Future<void> deleteAll();
}

/// A wrapper for flutter_secure_storage
class RecSecureStorage implements IStorage {
  late FlutterSecureStorage storage;

  RecSecureStorage() {
    storage = const FlutterSecureStorage();
  }

  Future<String?> read({required String key}) {
    return storage.read(key: key);
  }

  Future<void> write({required String key, String? value}) {
    return storage.write(key: key, value: value);
  }

  Future<void> delete({required String key}) {
    return storage.delete(key: key);
  }

  Future<void> deleteAll() {
    return storage.deleteAll();
  }
}
