import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/entities/transactions/currency.ent.dart';
import 'package:rec_api_dart/src/entities/transactions/recharge_result.dart';

void main() {
  test('RechargeResult with reward ', () async {
    final data = RechargeResult.fromJson({
      'pay_in_info': {
        'concept': 'test',
        'name_receiver': 'test',
        'amount': 1000,
        'received': 1000,
      },
      'status': 'test',
      'message': 'test',
      'currency': 'rec',
      'amount': 1000,
    });
    expect(data.status, 'test');
    expect(data.message, 'test');
    expect(data.amount, 1000);
    expect(data.currency, Currency.rec);
    expect(data.toJson(), {
      'id': null,
      'status': 'test',
      'amount': 1000.0,
      'message': 'test',
      'currency': Currency.rec,
    });
  });
}
