import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/helpers/strings.dart';

void main() {
  test('Strings.capitalize works', () async {
    expect(Strings.capitalize('test'), 'Test');
    expect(Strings.capitalize('test and pizza'), 'Test and pizza');
  });

  test('Strings.capitalize works', () async {
    expect(
      Strings.interpolate('test {{param}}', params: {'param': 'run'}),
      'test run',
    );
    expect(
      Strings.interpolate('test {{param}} {{param}}', params: {'param': 'run'}),
      'test run run',
    );
    expect(
      Strings.interpolate(
        'test {{param1}} {{param2}}',
        params: {'param1': 'run', 'param2': 'and fight'},
      ),
      'test run and fight',
    );
  });
}
